package domain


type AlibabaWdkSeriesDefaultskuResetSeriesSkuRequest struct {
    /*
        系列编码     */
    SeriesId  *int64 `json:"series_id,omitempty" `

    /*
        默认商品编码     */
    DefaultSkuCode  *string `json:"default_sku_code,omitempty" `

    /*
        需要移除默认商品     */
    RemoveDefaultSku  *bool `json:"remove_default_sku,omitempty" `

}

func (s *AlibabaWdkSeriesDefaultskuResetSeriesSkuRequest) SetSeriesId(v int64) *AlibabaWdkSeriesDefaultskuResetSeriesSkuRequest {
    s.SeriesId = &v
    return s
}
func (s *AlibabaWdkSeriesDefaultskuResetSeriesSkuRequest) SetDefaultSkuCode(v string) *AlibabaWdkSeriesDefaultskuResetSeriesSkuRequest {
    s.DefaultSkuCode = &v
    return s
}
func (s *AlibabaWdkSeriesDefaultskuResetSeriesSkuRequest) SetRemoveDefaultSku(v bool) *AlibabaWdkSeriesDefaultskuResetSeriesSkuRequest {
    s.RemoveDefaultSku = &v
    return s
}
